﻿using EPiServer.Core;
using PageTypeBuilder;

namespace Bananas.PageTypes
{
    public abstract class EditorialPage : BasePageData
    {
        [PageTypeProperty(Type = typeof(PropertyString), SortOrder = 0)]
        public virtual string Headline { 
            get
            {
                string headline = this.GetPropertyValue(page => page.Headline);
                if (!string.IsNullOrEmpty(headline))
                    return headline;

                return PageName;
            }
        }

        [PageTypeProperty(SortOrder = 1)]
        public virtual string MainBody { get; set; }
    }
}
