﻿using System.Text.RegularExpressions;

namespace Bananas.ExtensionMethods
{
    public static class StringExtensions
    {
        public static string RemoveHtml(this string text)
        {
            return Regex.Replace(text, "<(.|\n)*?>", string.Empty);
        }

        public static string EllipseText(this string text, int maxLength)
        {
            if (text.Length > maxLength)
                return text.Substring(0, maxLength) + "...";
            return text;
        }
    }
}
