﻿using System.Collections.Generic;
using System.Linq;
using EPiServer;
using EPiServer.Core;
using PageTypeBuilder;

namespace Bananas.PageTypes
{
    [PageType(Filename = "~/Templates/Pages/List.aspx")]
    public class ListPage : BasePageData
    {
        public IEnumerable<PageData> PagesToList
        {
            get
            {
                return DataFactory.Instance.GetChildren(PageLink)
                    .Where(page => page.CheckPublishedStatus(PagePublishedStatus.Published));
            }
        }
    }
}
